# `nym-cli` Binary Commands (Autogenerated)

These docs are autogenerated by the [`autodocs`](https://github.com/nymtech/nym/tree/max/new-docs-framework/documentation/autodoc) script.
```sh
A client for interacting with Nym smart contracts and the Nyx blockchain

Usage: nym-cli [OPTIONS] <COMMAND>

Commands:
  account           Query and manage Nyx blockchain accounts
  signature         Sign and verify messages
  ecash             Ecash related stuff
  block             Query chain blocks
  cosmwasm          Manage and execute WASM smart contracts
  tx                Query for transactions
  vesting-schedule  Create and query for a vesting schedule
  mixnet            Manage your mixnet infrastructure, delegate stake or query the directory
  generate-fig      Generates shell completion
  help              Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `account` 
```sh
Query and manage Nyx blockchain accounts

Usage: nym-cli account [OPTIONS]
       nym-cli account <COMMAND>

Commands:
  create         Create a new mnemonic - note, this account does not appear on the chain until the account id is used in a transaction
  balance        Gets the balance of an account
  pub-key        Gets the public key of an account
  send           Sends tokens to another account
  send-multiple  Batch multiple token sends
  help           Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `account create`
```sh
Create a new mnemonic - note, this account does not appear on the chain until the account id is used in a transaction

Usage: nym-cli account create [OPTIONS]

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
      --word-count <WORD_COUNT>
          
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `account balance`
```sh
Gets the balance of an account

Usage: nym-cli account balance [OPTIONS] [ADDRESS]

Arguments:
  [ADDRESS]  The account address to get the balance for

Options:
      --denom <DENOM>
          Optional currency to show balance for
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --hide-denom
          Optionally hide the denom
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --raw
          Show as a raw value
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `account pub-key`
```sh
Gets the public key of an account

Usage: nym-cli account pub-key [OPTIONS] [ADDRESS]

Arguments:
  [ADDRESS]  Optionally, show the public key for this account address, otherwise generate the account address from the mnemonic

Options:
      --from-mnemonic
          If set, get the public key from the mnemonic, rather than querying for it
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `account send`
```sh
Sends tokens to another account

Usage: nym-cli account send [OPTIONS] <RECIPIENT> <AMOUNT>

Arguments:
  <RECIPIENT>  The recipient account address
  <AMOUNT>     Amount to transfer in micro denomination (e.g. unym or unyx)

Options:
      --denom <DENOM>
          Override the denomination
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --memo <MEMO>
          
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `account send-multiple`
```sh
Batch multiple token sends

Usage: nym-cli account send-multiple [OPTIONS] --input <INPUT>

Options:
      --memo <MEMO>
          
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --input <INPUT>
          Input file path (CSV format) with account/amount pairs to send
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --output <OUTPUT>
          An output file path (CSV format) to create or append a log of results to
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `signature` 
```sh
Sign and verify messages

Usage: nym-cli signature [OPTIONS]
       nym-cli signature <COMMAND>

Commands:
  sign    Sign a message
  verify  Verify a message
  help    Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `signature sign`
```sh
Sign a message

Usage: nym-cli signature sign [OPTIONS] <MESSAGE>

Arguments:
  <MESSAGE>  The message to sign

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `signature verify`
```sh
Verify a message

Usage: nym-cli signature verify [OPTIONS] <PUBLIC_KEY_OR_ADDRESS> <SIGNATURE_AS_HEX> <MESSAGE>

Arguments:
  <PUBLIC_KEY_OR_ADDRESS>  The public key of the account, or the account id to query for a public key (NOTE: the account must have signed a message stored on the chain for the public key record to exist)
  <SIGNATURE_AS_HEX>       The signature to verify as hex
  <MESSAGE>                The message to verify as a string

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `ecash` 
```sh
Ecash related stuff

Usage: nym-cli ecash [OPTIONS]
       nym-cli ecash <COMMAND>

Commands:
  issue-ticket-book                  
  recover-ticket-book                
  import-ticket-book                 
  generate-ticket                    
  import-coin-index-signatures       
  import-expiration-date-signatures  
  import-master-verification-key     
  help                               Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `ecash issue-ticket-book`
```sh
Usage: nym-cli ecash issue-ticket-book [OPTIONS] <--client-config <CLIENT_CONFIG>|--output-file <OUTPUT_FILE>>

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
      --ticketbook-type <TICKETBOOK_TYPE>
          Specify which type of ticketbook should be issued [default: v1-mixnet-entry]
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --client-config <CLIENT_CONFIG>
          Config file of the client that is supposed to use the credential
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --output-file <OUTPUT_FILE>
          Output file for the ticketbook
      --bs58-output
          Specifies whether the output file should use binary or bs58 encoded data
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --include-expiration-date-signatures
          Specifies whether the file output should contain expiration date signatures
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --include-coin-index-signatures
          Specifies whether the file output should contain coin index signatures
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
      --include-master-verification-key
          Specifies whether the file output should contain master verification key
      --bs58-encoded-client-secret <BS58_ENCODED_CLIENT_SECRET>
          Secret value that's used for deriving underlying ecash keypair
  -h, --help
          Print help
```

## `ecash recover-ticket-book`
```sh
Usage: nym-cli ecash recover-ticket-book [OPTIONS] --client-config <CLIENT_CONFIG>

Options:
      --client-config <CLIENT_CONFIG>
          Config file of the client that is supposed to use the credential
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `ecash import-ticket-book`
```sh
Usage: nym-cli ecash import-ticket-book [OPTIONS] --credentials-store <CREDENTIALS_STORE> <--credential-data <CREDENTIAL_DATA>|--credential-path <CREDENTIAL_PATH>> <--standalone|--full>

Options:
      --credentials-store <CREDENTIALS_STORE>
          Config file of the client that is supposed to use the credential
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --credential-data <CREDENTIAL_DATA>
          Explicitly provide the encoded credential data (as base58)
      --credential-path <CREDENTIAL_PATH>
          Specifies the path to file containing binary credential data
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --standalone
          Specifies whether we're attempting to import a standalone ticketbook (i.e. serialised `IssuedTicketBook`)
      --full
          Specifies whether we're attempting to import full ticketboot (i.e. one that **might** contain required global signatures; that is serialised `ImportableTicketBook`)
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `coconut` 

## `coconut generate-freepass`

## `coconut issue-credentials`

## `coconut recover-credentials`

## `coconut import-credential`

## `block` 
```sh
Query chain blocks

Usage: nym-cli block [OPTIONS]
       nym-cli block <COMMAND>

Commands:
  get             Gets a block's details and prints as JSON
  time            Gets the block time at a height
  current-height  Gets the current block height
  help            Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `block get`
```sh
Gets a block's details and prints as JSON

Usage: nym-cli block get [OPTIONS] <HEIGHT>

Arguments:
  <HEIGHT>  The block height

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `block time`
```sh
Gets the block time at a height

Usage: nym-cli block time [OPTIONS] <HEIGHT>

Arguments:
  <HEIGHT>  The block height

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `block current-height`
```sh
Gets the current block height

Usage: nym-cli block current-height [OPTIONS]

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `cosmwasm` 
```sh
Manage and execute WASM smart contracts

Usage: nym-cli cosmwasm [OPTIONS]
       nym-cli cosmwasm <COMMAND>

Commands:
  upload                 Upload a smart contract WASM blob
  init                   Init a WASM smart contract
  generate-init-message  Generate an instantiate message
  migrate                Migrate a WASM smart contract
  execute                Execute a WASM smart contract method
  raw-contract-state     Obtain raw contract state of a cosmwasm smart contract
  help                   Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `cosmwasm upload`
```sh
Upload a smart contract WASM blob

Usage: nym-cli cosmwasm upload [OPTIONS] --wasm-path <WASM_PATH>

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
      --wasm-path <WASM_PATH>
          
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --memo <MEMO>
          
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `cosmwasm init`
```sh
Init a WASM smart contract

Usage: nym-cli cosmwasm init [OPTIONS] --init-message <INIT_MESSAGE> <CODE_ID>

Arguments:
  <CODE_ID>  

Options:
      --memo <MEMO>
          
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --label <LABEL>
          
      --init-message <INIT_MESSAGE>
          
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --admin <ADMIN>
          
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --funds <FUNDS>
          Amount to supply as funds in micro denomination (e.g. unym or unyx)
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --funds-denom <FUNDS_DENOM>
          Set the denomination for the funds
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `cosmwasm generate-init-message`
```sh
Generate an instantiate message

Usage: nym-cli cosmwasm generate-init-message [OPTIONS]
       nym-cli cosmwasm generate-init-message <COMMAND>

Commands:
  ecash-bandwidth  
  coconut-dkg      
  mixnet           
  multisig         
  vesting          
  help             Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `cosmwasm migrate`
```sh
Migrate a WASM smart contract

Usage: nym-cli cosmwasm migrate [OPTIONS] --code-id <CODE_ID> <CONTRACT_ADDRESS>

Arguments:
  <CONTRACT_ADDRESS>  

Options:
      --code-id <CODE_ID>
          
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --memo <MEMO>
          
      --init-message <INIT_MESSAGE>
          
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `cosmwasm execute`
```sh
Execute a WASM smart contract method

Usage: nym-cli cosmwasm execute [OPTIONS] <CONTRACT_ADDRESS> <JSON_ARGS> [FUNDS]

Arguments:
  <CONTRACT_ADDRESS>  The address of contract to execute
  <JSON_ARGS>         JSON encoded method arguments
  [FUNDS]             Amount to supply as funds in micro denomination (e.g. unym or unyx)

Options:
      --memo <MEMO>
          
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --funds-denom <FUNDS_DENOM>
          Set the denomination for the funds
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `tx` 
```sh
Query for transactions

Usage: nym-cli tx [OPTIONS]
       nym-cli tx <COMMAND>

Commands:
  get    Get a transaction by hash or block height
  query  Query for transactions
  help   Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `tx get`
```sh
Get a transaction by hash or block height

Usage: nym-cli tx get [OPTIONS] <TX_HASH>

Arguments:
  <TX_HASH>  The transaction hash

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `tx query`
```sh
Query for transactions

Usage: nym-cli tx query [OPTIONS] <QUERY>

Arguments:
  <QUERY>  The query to execute

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `vesting-schedule` 
```sh
Create and query for a vesting schedule

Usage: nym-cli vesting-schedule [OPTIONS]
       nym-cli vesting-schedule <COMMAND>

Commands:
  create           Creates a vesting schedule
  query            Query for vesting schedule
  vested-balance   Get the amount that has vested and is free for withdrawal, delegation or bonding
  withdraw-vested  Withdraw vested tokens (note: the available amount excludes anything delegated or bonded before or after vesting)
  help             Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `vesting-schedule create`
```sh
Creates a vesting schedule

Usage: nym-cli vesting-schedule create [OPTIONS] --address <ADDRESS> --amount <AMOUNT>

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
      --periods-seconds <PERIODS_SECONDS>
          
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --number-of-periods <NUMBER_OF_PERIODS>
          
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --start-time <START_TIME>
          
      --address <ADDRESS>
          
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --amount <AMOUNT>
          
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --staking-address <STAKING_ADDRESS>
          
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
      --pledge-cap <PLEDGE_CAP>
          Pledge cap as either absolute uNYM value or percentage, floats need to be in the 0.0 to 1.0 range and will be parsed as percentages, integers will be parsed as uNYM
  -h, --help
          Print help
```

## `vesting-schedule query`
```sh
Query for vesting schedule

Usage: nym-cli vesting-schedule query [OPTIONS] [ADDRESS]

Arguments:
  [ADDRESS]  Optionally, the account address to get the balance for

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `vesting-schedule vested-balance`
```sh
Get the amount that has vested and is free for withdrawal, delegation or bonding

Usage: nym-cli vesting-schedule vested-balance [OPTIONS] [ADDRESS]

Arguments:
  [ADDRESS]  Optionally, the account address to get the balance for

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `vesting-schedule withdraw-vested`
```sh
Withdraw vested tokens (note: the available amount excludes anything delegated or bonded before or after vesting)

Usage: nym-cli vesting-schedule withdraw-vested [OPTIONS] <AMOUNT>

Arguments:
  <AMOUNT>  Amount to transfer in micro denomination (e.g. unym or unyx)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `mixnet` 
```sh
Manage your mixnet infrastructure, delegate stake or query the directory

Usage: nym-cli mixnet [OPTIONS]
       nym-cli mixnet <COMMAND>

Commands:
  query       Query the mixnet directory
  delegators  Manage your delegations
  operators   Manage a mixnode or gateway you operate
  help        Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `mixnet query`
```sh
Query the mixnet directory

Usage: nym-cli mixnet query [OPTIONS]
       nym-cli mixnet query <COMMAND>

Commands:
  mixnodes  Query mixnodes
  gateways  Query gateways
  help      Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `mixnet delegators`
```sh
Manage your delegations

Usage: nym-cli mixnet delegators [OPTIONS]
       nym-cli mixnet delegators <COMMAND>

Commands:
  list                       Lists current delegations
  rewards                    Manage rewards from delegations
  delegate                   Delegate to a mixnode
  delegate-multi             Perform bulk delegations from an input file
  undelegate                 Undelegate from a mixnode
  delegate-vesting           Delegate to a mixnode with locked tokens
  undelegate-vesting         Undelegate from a mixnode (when originally using locked tokens)
  migrate-vested-delegation  Migrate the delegation to use liquid tokens
  help                       Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `mixnet operators`
```sh
Manage a mixnode or gateway you operate

Usage: nym-cli mixnet operators [OPTIONS]
       nym-cli mixnet operators <COMMAND>

Commands:
  nymnode       Manage your Nym Node
  mixnode       Manage your legacy mixnode
  gateway       Manage your legacy gateway
  identity-key  Sign messages using your private identity key
  help          Print this message or the help of the given subcommand(s)

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `generate-fig` 
```sh
Generates shell completion

Usage: nym-cli generate-fig [OPTIONS]

Options:
      --mnemonic <MNEMONIC>
          Provide the mnemonic for your account. You can also provide this is an env var called MNEMONIC.
  -c, --config-env-file <CONFIG_ENV_FILE>
          Overrides configuration as a file of environment variables. Note: individual env vars take precedence over this file.
      --nyxd-url <NYXD_URL>
          Overrides the nyxd URL provided either as an environment variable NYXD_VALIDATOR or in a config file
      --nym-api-url <NYM_API_URL>
          Overrides the validator API URL provided either as an environment variable API_VALIDATOR or in a config file
      --mixnet-contract-address <MIXNET_CONTRACT_ADDRESS>
          Overrides the mixnet contract address provided either as an environment variable or in a config file
      --vesting-contract-address <VESTING_CONTRACT_ADDRESS>
          Overrides the vesting contract address provided either as an environment variable or in a config file
  -h, --help
          Print help
```

## `generate-fig `
